python-memcache_1.57-2_all.deb


Advertisement

Description

python-memcache - pure Python memcached client

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Main amd64
Package name python-memcache
Package version 1.57
Package release 2
Package architecture all
Package type deb
Installed size 77 B
Download size 16.79 KB
Official Mirror archive.ubuntu.com
This software is a 100% Python interface to the memcached memory cache
daemon. It is the client side software which allows storing values in
one or more, possibly remote, memcached servers.
This package contains the Python 2.x module.

Alternatives

Package Version Architecture Repository
python-memcache_1.57-2ubuntu0.18.04.1_all.deb 1.57 all Ubuntu Updates Main
python-memcache_1.57-2ubuntu0.18.04.1_all.deb 1.57 all Ubuntu Updates Main
python-memcache_1.57-2_all.deb 1.57 all Ubuntu Main
python-memcache - - -

Requires

Name Value
python-six -
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-memcache_1.57-2_all.deb
Source Package python-memcache

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-memcache deb package:
    # sudo apt-get install python-memcache

Files

Path
/usr/lib/python2.7/dist-packages/memcache.py
/usr/lib/python2.7/dist-packages/python_memcached-1.53.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/python_memcached-1.53.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/python_memcached-1.53.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/python_memcached-1.53.egg-info/top_level.txt
/usr/share/doc/python-memcache/changelog.Debian.gz
/usr/share/doc/python-memcache/copyright

Changelog

2016-02-27 - Ondřej Nový <novy@ondrej.org>
python-memcache (1.57-2) unstable; urgency=medium
* Standards-Version is 3.9.7 now (no change).
* Added Debian tests.
* Standards-Version is 3.9.8 now (no change)
* d/rules: Changed UPSTREAM_GIT protocol to https
* d/copyright: Changed source URL to https protocol
* d/s/options: extend-diff-ignore of .gitreview
* d/control: Using OpenStack's Gerrit as VCS URLs.
2016-02-05 - Thomas Goirand <zigo@debian.org>
python-memcache (1.57-1) unstable; urgency=medium
* New upstream release.
* Moving the package to PKG OpenStack as I don't have write access to the
DPMT repository anymore.
* Switch the homepage to the Github URL.
* Switch the watch file to use the github tags, as the upstream FTP is never
updated.
* Added More_Python_3_fixes.patch.
* Cleans setup-test-env-memcached.sh from unused function wait_for_line.
* Testing with all versions of Python(3).
* Fixed debian/copyright ordering.
2015-07-27 - Thomas Goirand <zigo@debian.org>
python-memcache (1.56-1) unstable; urgency=medium
* New upstream release:
- Full upstream Python 3 support: deleting debian patches applied upstream.
2015-05-08 - Thomas Goirand <zigo@debian.org>
python-memcache (1.54+20150423+git+48e882719c-2) unstable; urgency=medium
* Uploading to unstable.
2015-04-23 - Thomas Goirand <zigo@debian.org>
python-memcache (1.54+20150423+git+48e882719c-1) experimental; urgency=medium
* Added patch from Victor Stinner to port the package to Python 3.
* Now runs unit tests when building the package:
- Build-Depends: memcached, nose, six.
- Added nose as build-depends, and run unit tests.
- Added debian/setup-test-env-memcached.sh to start memcached on
non-standard port (which is compatible with building with sbuild).
* Standards-Version: 3.9.6.
* Added dh-python as build-depends.
2014-06-09 - Thomas Goirand <zigo@debian.org>
python-memcache (1.53+2014.06.08.git.918e88c496-1) unstable; urgency=medium
* New upstream release.
* Removed now useless X-Python-Version: >= 2.6.
* Upgraded to debhelper and compat 9.
* Added Python3 support.
* debian/copyright file now using parseable format 1.0.
* Added myself as uploader.
2013-06-19 - Carl Chenet <chaica@ohmytux.com>
python-memcache (1.53-1) unstable; urgency=low
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Carl Chenet ]
* New upstream release
* debian/control
- bump Standards-Version to 3.9.4.0
- use python-all in B-D
2011-12-07 - Carl Chenet <chaica@ohmytux.com>
python-memcache (1.48-1) unstable; urgency=low
* New upstream release
* debian/control
- bump X-Python-Version >= 2.6
- bump Standards-Version to 3.9.2.0
- removed ${python:Breaks} to binary package info
* debian/rules
- add override_dh_auto_build to remove Makefile
2011-02-17 - Carl Chenet <chaica@ohmytux.com>
python-memcache (1.47-1) unstable; urgency=low
* New upstream release. (Closes: #609908)
* debian/source/format
- Bump to 3.0 (quilt)
* debian/control
- Removed python-support from Build-Depends-Indep
- Bump python to 2.6.6-3
- Bump Standards-Version to 3.9.1.0.
- Replaced XS-Python-Version: all by X-Python-Version >= 2.5
- Added Breaks: ${python:Breaks} to binary package info
* debian/copyright
- Removed path to BSD license and include the license text itself
* debian/rules
- Replaced dh $@ by dh $@ --with python2
2010-02-02 - Carl Chenet <chaica@ohmytux.com>
python-memcache (1.45-1) unstable; urgency=low
* New upstream version.
* debian/control
- Switched the Maintainer field to DPMT.
- Switched the Uploader field to Carl Chenet <chaica@ohmytux.com>.
- Bump the Standards-Version field to 3.8.4

See Also

Package Description
python-microversion-parse-doc_0.1.4-2_all.deb OpenStack microversion header parsing library - doc
python-microversion-parse_0.1.4-2_all.deb OpenStack microversion header parsing library - Python 2.7
python-migrate-doc_0.11.0-2_all.deb Database schema migration for SQLAlchemy - doc
python-migrate_0.11.0-2_all.deb Database schema migration for SQLAlchemy - Python 2.7
python-mimeparse_0.1.4-3.1_all.deb Parse mime-types and quality parameters - python 2.x
python-minimal_2.7.15~rc1-1_amd64.deb minimal subset of the Python language (default version)
python-mistralclient_3.3.0-0ubuntu1_all.deb OpenStack Workflow as a Service client - Python 2.7
python-mock-doc_2.0.0-3_all.deb Mocking and Testing Library (Documentation)
python-mock_2.0.0-3_all.deb Mocking and Testing Library
python-moinmoin_1.9.9-1ubuntu1_all.deb Python clone of WikiWiki - library
python-monascaclient_1.10.0-0ubuntu1_all.deb client bindings for the Monasca API - Python 2.7
python-monotonic_1.1-2_all.deb implementation of time.monotonic() - Python 2.x
python-msgpack_0.5.6-1_amd64.deb Python implementation of MessagePack format
python-munch_2.2.0-1ubuntu2_all.deb dot-accessible dictionary similar to JavaScript objects - Python 2.7
python-mysqldb_1.3.10-1build1_amd64.deb Python interface to MySQL
Advertisement
Advertisement